add cl_compiler, dl_streamer and opencv deps to install dependencies script for Ubuntu (#4136)

* add cl_compiler, dl_streamer and opencv deps to install dependencies script for Ubuntu

libgl1 - for opencv package from PyPi
vainfo - for gstreamer-vaapi plugin
libtinfo5 - for cl_compiler tool

* remove old DL Streamer deps script

internal fix #40514

* add gstreamer tools as DL Streamer, opencv optional install dependency
This commit is contained in:
Kate Generalova
2021-02-03 15:51:53 +03:00
committed by GitHub
parent 3ad1360f5f
commit 8b800cc539
2 changed files with 12 additions and 192 deletions

View File

@@ -1,189 +0,0 @@
#!/bin/bash
# Copyright (c) 2020 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -e
if [ $EUID -ne 0 ]; then
echo "ERROR: this script must be run as root to install 3rd party packages." >&2
echo "Please try again with \"sudo -E $0\", or as root." >&2
exit 1
fi
params=$@
yes_or_no() {
if [ "$params" == "-y" ]; then
return 0
fi
while true; do
read -p "Add third-party repositories and install GStreamer Plugins (y/n): " yn
case $yn in
[Yy]*) return 0 ;;
[Nn]*) return 1 ;;
esac
done
}
echo
echo "This script installs the following GStreamer 3rd-party dependencies:"
echo " 1. build dependencies for GStreamer plugin bad"
echo " 2. build dependencies for GStreamer plugin ugly"
echo " 3. build dependencies for GStreamer plugin vaapi"
echo
if [ -f /etc/lsb-release ]; then
# Ubuntu
PKGS=(
libbluetooth-dev
libusb-1.0.0-dev
libass-dev
libbs2b-dev
libchromaprint-dev
liblcms2-dev
libssh2-1-dev
libdc1394-22-dev
libdirectfb-dev
libssh-dev
libdca-dev
libfaac-dev
libfaad-dev
libfdk-aac-dev
flite1-dev
libfluidsynth-dev
libgme-dev
libgsm1-dev
nettle-dev
libkate-dev
liblrdf0-dev
libde265-dev
libmjpegtools-dev
libmms-dev
libmodplug-dev
libmpcdec-dev
libneon27-dev
libofa0-dev
libopenal-dev
libopenexr-dev
libopenjp2-7-dev
libopenmpt-dev
libopenni2-dev
libdvdnav-dev
librtmp-dev
librsvg2-dev
libsbc-dev
libsndfile1-dev
libsoundtouch-dev
libspandsp-dev
libsrtp2-dev
libzvbi-dev
libvo-aacenc-dev
libvo-amrwbenc-dev
libwebrtc-audio-processing-dev
libwebp-dev
libwildmidi-dev
libzbar-dev
libnice-dev
libx265-dev
libxkbcommon-dev
libx264-dev
libmpeg2-4-dev
libdvdread-dev
libcdio-dev
libopencore-amrnb-dev
libopencore-amrwb-dev
liba52-0.7.4-dev
libsidplay1-dev
libva-dev
libxrandr-dev
libudev-dev
python-gi-dev \
python3-dev
)
apt update
apt install -y ${PKGS[@]}
else
# CentOS
PKGS=(
bluez-libs-devel
libusb-devel
libass-devel
libbs2b-devel
libchromaprint-devel
lcms2-devel
libssh2-devel
libdc1394-devel
libXext-devel
libssh-devel
libdca-devel
faac-devel
faad2-devel
fdk-aac-devel
flite-devel
fluidsynth-devel
game-music-emu-devel
gsm-devel
nettle-devel
kate-devel
liblrdf-devel
libde265-devel
mjpegtools-devel
libmms-devel
libmodplug-devel
libmpcdec-devel
neon-devel
libofa-devel
openal-soft-devel
OpenEXR-devel
openjpeg2-devel
openni-devel
libdvdnav-devel
librtmp-devel
librsvg2-devel
sbc-devel
libsndfile-devel
soundtouch-devel
spandsp-devel
libsrtp-devel
zvbi-devel
vo-amrwbenc-devel
webrtc-audio-processing-devel
wildmidi-devel
zbar-devel
libnice-devel
x265-devel
libxkbcommon-devel
x264-devel
libmpeg2-devel
libcdio-devel
opencore-amr-devel
libva-devel
python36-gobject-devel
python3-devel
)
if yes_or_no; then
rpm --import http://li.nux.ro/download/nux/RPM-GPG-KEY-nux.ro
yum install -y epel-release
rpm -Uvh http://li.nux.ro/download/nux/dextop/el7/x86_64/nux-dextop-release-0-5.el7.nux.noarch.rpm
yum install -y ${PKGS[@]}
else
echo
echo "Plugins cannot be installed without adding repositories:"
echo " PM-GPG-KEY-nux, epel-release, nux-dextop-release-0-5."
echo
fi
exit
fi

View File

@@ -19,7 +19,7 @@ set -e
#===================================================================================================
# Option parsing
all_comp=(opencv_req opencv_opt python dev myriad dlstreamer installer pot)
all_comp=(opencv_req opencv_opt python dev myriad dlstreamer installer pot cl_compiler)
os=${os:-auto}
# public options
@@ -106,17 +106,19 @@ extra_repos=()
if [ "$os" == "ubuntu18.04" ] ; then
pkgs_opencv_req=(libgtk-3-0)
pkgs_opencv_req=(libgtk-3-0 libgl1)
pkgs_python=(python3 python3-dev python3-venv python3-setuptools python3-pip)
pkgs_dev=(cmake g++ gcc libc6-dev make curl)
pkgs_myriad=(libusb-1.0-0)
pkgs_installer=(cpio)
pkgs_pot=()
pkgs_cl_compiler=(libtinfo5)
pkgs_opencv_opt=(
gstreamer1.0-plugins-bad
gstreamer1.0-plugins-base
gstreamer1.0-plugins-good
gstreamer1.0-plugins-ugly
gstreamer1.0-tools
libavcodec57
libavformat57
libavresample3
@@ -133,6 +135,7 @@ if [ "$os" == "ubuntu18.04" ] ; then
gstreamer1.0-plugins-good
gstreamer1.0-plugins-ugly
gstreamer1.0-vaapi
gstreamer1.0-tools
libfaac0
libfluidsynth1
libgl-dev
@@ -141,21 +144,24 @@ if [ "$os" == "ubuntu18.04" ] ; then
libnettle6
libtag-extras1
python3-gi
vainfo
)
elif [ "$os" == "ubuntu20.04" ] ; then
pkgs_opencv_req=(libgtk-3-0)
pkgs_opencv_req=(libgtk-3-0 libgl1)
pkgs_python=(python3 python3-dev python3-venv python3-setuptools python3-pip)
pkgs_dev=(cmake g++ gcc libc6-dev make curl)
pkgs_myriad=(libusb-1.0-0)
pkgs_installer=(cpio)
pkgs_pot=(libblas-dev liblapack-dev gfortran)
pkgs_cl_compiler=(libtinfo5)
pkgs_opencv_opt=(
gstreamer1.0-plugins-bad
gstreamer1.0-plugins-base
gstreamer1.0-plugins-good
gstreamer1.0-plugins-ugly
gstreamer1.0-tools
libavcodec58
libavformat58
libavresample4
@@ -173,6 +179,7 @@ elif [ "$os" == "ubuntu20.04" ] ; then
gstreamer1.0-plugins-good
gstreamer1.0-plugins-ugly
gstreamer1.0-vaapi
gstreamer1.0-tools
libfaac0
libfluidsynth2
libgl-dev
@@ -185,6 +192,7 @@ elif [ "$os" == "ubuntu20.04" ] ; then
libtag-extras1
python3-gi
python3-gst-1.0
vainfo
)
elif [ "$os" == "centos7" ] ; then
@@ -197,6 +205,7 @@ elif [ "$os" == "centos7" ] ; then
pkgs_myriad=(libusbx)
pkgs_installer=()
pkgs_pot=()
pkgs_cl_compiler=()
pkgs_opencv_opt=(
gstreamer1
gstreamer1-plugins-bad-free